/*
Theme Name: Freshaire
Template: powell
Author: Stellaractive
Version: 1.0.1
Description: A child theme for the Powell parent theme.
Text Domain: powell-child
*/

/* Header & Nav */
.header-row .wp-block-buttons .wp-block-button__link {
    white-space: nowrap;
    padding: 2px 10px;
}

/* class to be added to navigation page links to mimic button styles */
.nav-button-style {
    background-color: var(--wp--preset--color--secondary) !important;
    border-radius: 50px;
    border-color: var(--wp--preset--color--secondary);
    border-width: 2px;
    border-style: solid;
    color: var(--wp--preset--color--white);
    white-space: nowrap;
    padding: 2px 10px !important;
}
.nav-button-style:hover {
    color: var(--wp--preset--color--white);
    background-color: var(--wp--preset--color--primary) !important;
    border-color: var(--wp--preset--color--primary);
}
@media (max-width: 860px) {
    .header-nav-group {
        width: auto;
        padding: 0px !important;
    }
    .header-row {
        gap: 0;
    }
    .header-row .image-row {
        padding: 15px;
    }
    .wp-block-site-logo a img {
        max-width: 30vw !important;
    }
    .mobile-header {
        width: 50%;
        left: initial;
    }
    .mobile-nav li.wp-block-navigation-link {
        color: var(--wp--preset--color--secondary);
        background-color: initial;
    }
    #mobile-menu-toggle {
        width: 52px;
    }
    #mobile-menu-toggle span {
        height: 6px;
        background: var(--wp--preset--color--primary);
        border-radius: 3px;
    }
    #mobile-menu-toggle.open span:nth-child(1) {
        transform: translateY(10px) rotate(45deg);
    }
    .topbar {
        padding: 10px !important;
        gap: 0 !important;
    }
    .topbar-nav {
        display: none;
    }
}

/* ajusts anchor scroll to account for fixed header */
[id]{
    scroll-margin-top: 120px;
}
@media(max-height: 861px) {
    [id]{
        scroll-margin-top: 80px;
    }
}

/* Buttons */
:root :where(.wp-element-button, .wp-block-button__link) {
    padding: 5px 20px;
    transition: all 0.3s ease-in-out;
}
:root :where(.wp-element-button, .wp-block-button__link):hover {
    color: var( --wp--preset--color--white );
    background-color: var( --wp--preset--color--primary );
    border-color: var( --wp--preset--color--primary );
}

/* Images */
:root :where(.wp-block-image.is-style-rounded img,.wp-block-image .is-style-rounded img) {
    border-radius: 36px;
}

/* Responsive Column Adjustments */
@media (max-width: 1200px) {
    .med-col-3 {
    flex-wrap: wrap !important;
    }
    .med-col-3:not(.is-not-stacked-on-mobile)>.wp-block-column {
        flex-basis: 25% !important;
    }
}
@media (max-width: 786px) {
    .small-col-2:not(.is-not-stacked-on-mobile)>.wp-block-column {
        flex-basis: 45% !important;
    }
}

/* FAQ Pattern */
.faq-teasers .wp-block-group {
    background: white;
    position: relative;
    border-radius: 20px;
    cursor: pointer;
}

.faq-teasers .wp-block-group.faq-open{
    box-shadow: 0px 0px 12px #0000003D;
}

.faq-teasers .wp-block-group h2 {
    color: var(--wp--preset--color--secondary);
    font-size: 20px;
}

.faq-teasers .wp-block-group .wp-block-post-title::after {
    content: '+';
    position: absolute;
    top: 50%;
    right: 30px;
    transform: translateY(-50%);
    font-size: 30px;
    font-weight: 600;
    transition: all 0.3s ease;
    transform-origin: center;
    line-height: 1;
}

.faq-teasers .wp-block-group.faq-open .wp-block-post-title::after {
    transform: translateY(-50%) rotate(45deg);
}

.faq-teasers .wp-block-group .faq-content {
    padding: 1rem 0 0 0;
    display: none;
    font-size: 1rem;
    animation: slideDown 0.3s ease-out;
}

.faq-teasers .wp-block-group .faq-content.show {
    display: block;
}

.faq-teasers .wp-block-group .faq-content p {
    margin: 0 0 10px 0;
    padding-bottom: 0;
    max-width: 95%;
}

.faq-teasers .wp-block-group .faq-content ul {
    color: #131314;
    margin: 10px 0;
    padding-left: 20px;
}

.faq-teasers .wp-block-group .faq-content li {
    margin-bottom: 8px;
    color: #131314;
}

@media(max-width:768px) {
    #stellar-faqs {
        padding: 30px 0;
    }
    .faq-toggle {
        padding-left: 15px !important; 
    }
    .faq-teasers .wp-block-group .wp-block-post-title::after {
        right: 15px;
    }
}


@keyframes slideDown {
    from {
        opacity: 0;
        transform: translateY(-10px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* Gravity Form */
.gform_wrapper.gform-theme .gform_footer input.gform_button {
    padding: 5px 20px;
    transition: all 0.3s ease-in-out;
    color: var( --wp--preset--color--white ) !important;
    background-color: var( --wp--preset--color--secondary ) !important;
    border-color: var( --wp--preset--color--secondary ) !important;
    border-radius: 36px !important;
}
.gform_wrapper.gform-theme .gform_footer input.gform_button:hover {
    background-color: var( --wp--preset--color--primary ) !important;
    border-color: var( --wp--preset--color--primary ) !important;
}

/* One-page Slider form responsiveness */
@media(min-width: 777px) and (max-width: 988px) {
    #gform_wrapper_1 > .gform_heading {
        display: none;
    }
    /* Assumes the Contact form is ID 1 */
    #gform_1 {
        transform: scale(0.75);
    }
}

/* Reviews */
.ti-widget.ti-goog .ti-widget-container .ti-profile-details .ti-name,
.ti-widget.ti-goog .ti-widget-container .ti-profile-details .ti-date,
.ti-widget.ti-goog .ti-widget-container .ti-read-more span {
    color: var(--wp--preset--color--white);
}
.ti-widget.ti-goog .ti-widget-container .ti-review-item>.ti-inner {
    color: var(--wp--preset--color--white);
    background: linear-gradient(180deg, #21A764, #0E874B);
}
.ti-widget.ti-goog .ti-widget-container .ti-controls .ti-next:before, 
.ti-widget.ti-goog .ti-widget-container .ti-controls .ti-prev:before {
    border-color: var(--wp--preset--color--secondary);
}
.ti-widget.ti-goog .ti-widget-container .ti-controls .ti-next:hover, 
.ti-widget.ti-goog .ti-widget-container .ti-controls .ti-prev:hover {
    background-color: var(--wp--preset--color--secondary) !important;
}
.ti-widget.ti-goog .ti-controls {
    display: block !important;
}
.ti-widget.ti-goog .ti-widget-container .ti-controls .ti-next {
    right: -20px;
    outline: none;
    background: none;
}
.ti-widget.ti-goog .ti-widget-container .ti-controls .ti-prev {
    left: -20px;
    outline: none;
    background: none;
}

@media (max-width: 1023px) {
    .ti-widget.ti-goog .ti-reviews-container-wrapper {
        max-width: 95%;
        margin: auto !important;
    }
}

/* Footer */
footer a {
    text-decoration: none;
}
@media (max-width: 860px) {
    footer .is-layout-flow > .alignleft {
        margin: auto;
        float: none;
    }
}


/* Main site extras */
.main-site-head .image-row {
    padding-bottom: 15px;
}

/* arrow icon for Locations rotation */
.mega-indicator {
  transition: transform 0.3s ease;
}
.mega-indicator.rotate-icon {
  transform: rotate(180deg);
}

/* General Responsiveness */
@media(max-width: 768px) {
    h1, h2, h3 {
        line-height: 1;
    }
    h1 {
        font-size: 2.25rem;
    }
    h2 {
        font-size: 1.75rem;
    }
    h3 {
        font-size: 1.25rem;
    }
    .mbl-pad-bttm-0 {
        padding-bottom: 0 !important;
    }
}
